# Ruleset

Binds the specified ruleset to this input.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Ruleset

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Binds specified ruleset to this input. If not set, the default ruleset is bound.

## Input usage

    input(type="imptcp" ruleset="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputPTCPServerBindRuleset — maps to Ruleset (status: legacy)

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.